Create API token
POST
/tokens
const url = 'https://api.muninx.com/tokens';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"CI token"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tokens \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "CI token" }'Creates a user API token and returns the raw token once.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
Example
{ "name": "CI token"}Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string
name
string
token
Raw API token. Returned only when the token is created.
string
created_at
string format: date-time
Example
{ "id": "5f60c89c-66eb-4fa5-8c5e-0de8f505f2c8", "name": "CI token", "token": "muninx_api_token_value", "created_at": "2026-06-11T10:00:00Z"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}RFC 9457 problem details
Media type application/problem+json
RFC 9457 problem details.
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
key
additional properties
any
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com"}